% written by Yann Büchau
% https://gitlab.com/tue-umphy/templates/EKUT-beamer-theme

\documentclass[
	aspectratio=169 % 169 = 16:9 ratio, 43 = 4:3 ratio
	,c % center frame content vertically
	,shrink % shrink frame content if necessary
]{beamer} % this document is a beamer presentation


\usetheme{EKUT-slides} % use the EKUT slide theme

\usepackage[british]{babel} % localisation
\usepackage{graphicx} % be able to include graphics




%      __  __      _            _       _        
%     |  \/  | ___| |_ __ _  __| | __ _| |_ __ _ 
%     | |\/| |/ _ \ __/ _` |/ _` |/ _` | __/ _` |
%     | |  | |  __/ || (_| | (_| | (_| | || (_| |
%     |_|  |_|\___|\__\__,_|\__,_|\__,_|\__\__,_|
%                                          


\title[Short Title]{The Full Presentation Title}
\date{\today}
\author{The author}

% all of the below can be commented out and is just extra info
\institute[Short Institute/Department]{Longer Institute\hspace{3em}Department}
\address{\href{https://www.openstreetmap.org/relation/8778131}{Schnarrenbergstr. 94-96, 72076 Tübingen}}
\telephone{\href{tel:+49-7071-29-XXXXX}{+49\,7071\,29\,XXXXX}}
\twitter{TwitterHandle}
\email{your.email@inter.net}
\emaillink{mailto:your.email@inter.net?subject=Your talk at \theconference\&body=...}
\website{\href{https://www.example.com}{www.example.com}}
\gitlab{GitLabHandle}
\copyrighttext{\copyright~template created by Yann Büchau}
\copyrighticon{cc-by-sa}
\leftheaderlogo{example-image-a}
\rightheaderlogo{example-image-c}
\conference{The confernce}
\session{Session 1.2}
\titlecontent{
  % e.g. for images at the bottom of the title page
	\includegraphics[height=0.4\textheight]{example-image-b}
	\includegraphics[height=0.4\textheight]{example-image-c}
}

%    _____ _                _____            _             
%   |  ___(_)_ __   ___    |_   _|   _ _ __ (_)_ __   __ _ 
%   | |_  | | '_ \ / _ \_____| || | | | '_ \| | '_ \ / _` |
%   |  _| | | | | |  __/_____| || |_| | | | | | | | | (_| |
%   |_|   |_|_| |_|\___|     |_| \__,_|_| |_|_|_| |_|\__, |
%                                                    |___/ 
\setlength\titlelinesep{0.5em} % Adjust line spacing in title

% make a custom title page
% see beamerouterthemeEKUT-slides.sty for the default and the variables you can use there
% \setbeamertemplate{title page}
% {
% 	%% you can put ANYTHING in here and you don't need to use \usebeamerfont or \usebeamercolor, these just make the style match the rest of the presentation
% 	\begin{center}
% 		{\usebeamerfont{title}\usebeamercolor[fg]{title}\inserttitle}
% 		\vspace{1em}\\
% 		\includegraphics[width=0.5\textwidth,height=0.5\textheight,keepaspectratio]{example-image-a}
% 		\vspace{1em}\\
% 		{\usebeamerfont{author in title}\insertauthor}
% 	\end{center}
% }

% Adjusting font sizes
% \setbeamerfont{date in title}{size=\small}
% \setbeamerfont{author in title}{size=\large}
% ... see beamerfontthemeEKUT-slides.sty for font names

% If you want the frametitle to be red
\setbeamercolor{frametitle}{fg=ekut-red}

\begin{document}



%    _____ _                       _               _                   _             _   
%   |_   _| |__   ___    __ _  ___| |_ _   _  __ _| |   ___ ___  _ __ | |_ ___ _ __ | |_ 
%     | | | '_ \ / _ \  / _` |/ __| __| | | |/ _` | |  / __/ _ \| '_ \| __/ _ \ '_ \| __|
%     | | | | | |  __/ | (_| | (__| |_| |_| | (_| | | | (_| (_) | | | | ||  __/ | | | |_ 
%     |_| |_| |_|\___|  \__,_|\___|\__|\__,_|\__,_|_|  \___\___/|_| |_|\__\___|_| |_|\__|
%                                                                                    

% This generates the default titlepage based on the metadata you entered above
\begin{frame}[plain]
	\titlepage
\end{frame}

\begin{frame}[plain]

	This is a blank slide!

	(Except for this text)

	You can also (ab)use this for a custom title page

\end{frame}

\begin{frame}[c]{\contentsname}
	\centering
	\tableofcontents
\end{frame}

\begin{frame}[c]{Normal frame title}
	\centering
	\section{\insertframetitle}
	This is the centered content.
\end{frame}

\begin{frame}[c]{Images in The Title are Possible \imageintitle{example-image-b}}
	\centering
	\section{\insertframetitle}
	See this cool image here:
	\begin{figure}
		\includegraphics
		[width=0.5\textwidth,height=0.5\textheight,keepaspectratio]
		{example-image-a}
		\caption{A cool image}
	\end{figure}
\end{frame}

\begin{frame}{Ridiculously long frame title which is shrinked to fit exactly
		into \imageintitle{example-image-a} the top title area even if there is an
		image \imageintitle{example-image-b}}
	\section{Interesting Topic}
	\begin{itemize}
		\item First interesting point
		\item This is also worth thinking about!
		\item And this!!
	\end{itemize}
\end{frame}

\begin{frame}{Contact}
  \contact
\end{frame}

\end{document}
